Package org.eclipse.launchbar.core.internal

# Class Activator

java.lang.Object
org.eclipse.core.runtime.Plugin
org.eclipse.launchbar.core.internal.Activator

All Implemented Interfaces:
  `org.osgi.framework.BundleActivator`

public class Activator extends org.eclipse.core.runtime.Plugin

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PLUGIN_ID`

### Fields inherited from class org.eclipse.core.runtime.Plugin

`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

## Constructor Summary

Constructors
Constructor
Description
`Activator()`

## Method Summary

Modifier and Type
Method
Description
`static Activator`
`getDefault()`
`static LaunchBarManager`
`getLaunchBarManager()`
`static org.eclipse.launchbar.core.internal.target.LaunchTargetManager`
`getLaunchTargetManager()`
`static <T> T`
`getService(Class<T> service)`
Return the OSGi service with the given service interface.
`static void`
`log(Throwable exception)`
`static void`
`log(org.eclipse.core.runtime.IStatus status)`
`void`
`start(org.osgi.framework.BundleContext bundleContext)`
`void`
`stop(org.osgi.framework.BundleContext bundleContext)`
`static void`
`throwCoreException(Exception e)`
`static void`
`trace(String str)`

### Methods inherited from class org.eclipse.core.runtime.Plugin

`find, find, getBundle, getLog, getPluginPreferences, getStateLocation, initializeDefaultPluginPreferences, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, startup, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### PLUGIN_ID

public static final String PLUGIN_ID

See Also:
  - Constant Field Values

## Constructor Details

### Activator

public Activator()

## Method Details

### start

public void start(org.osgi.framework.BundleContext bundleContext) throws Exception

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `start` in class `org.eclipse.core.runtime.Plugin`
Throws:
  `Exception`

### stop

public void stop(org.osgi.framework.BundleContext bundleContext) throws Exception

Specified by:
  `stop` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `stop` in class `org.eclipse.core.runtime.Plugin`
Throws:
  `Exception`

### getDefault

public static Activator getDefault()

### getLaunchBarManager

public static LaunchBarManager getLaunchBarManager()

### getLaunchTargetManager

public static org.eclipse.launchbar.core.internal.target.LaunchTargetManager getLaunchTargetManager()

### getService

public static <T> T getService(Class<T> service)
Return the OSGi service with the given service interface.

Parameters:
  `service` - service interface
Returns:
  the specified service or null if it's not registered

### throwCoreException

public static void throwCoreException(Exception e) throws org.eclipse.core.runtime.CoreException

Throws:
  `org.eclipse.core.runtime.CoreException`

### log

public static void log(org.eclipse.core.runtime.IStatus status)

### log

public static void log(Throwable exception)

### trace

public static void trace(String str)